<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE = edge,chrome = 1">
  <title>Hello World using Backbone.js</title>

  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
</head>

<body>

  <script type="text/javascript">
    //Created an object 'myVal' and extended it using Backbone.Events method
    var myVal = _.extend({
      title: 'TutorialsPoint!!!',
      site: 'www.tutorialspoint.com'
    }, Backbone.Events);

    //The on() method will bind the callback function to an object
    myVal.on('myFunc', function() {
      document.write("The triggered value for site is: ");
      document.write(this.site); //value of site will get displayed by referring the current object
    });

    // The trigger() method triggers the 'myFunc' event on 'myVal'
    myVal.trigger('myFunc');
  </script>;

</body>

</html>